%define modname doublemetaphone
%define soname %{modname}.so
%define inifile A71_%{modname}.ini

Summary:	Provide Double Metaphone functionality
Name:		php-%{modname}
Version:	1.0.1
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/doublemetaphone
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file

%description
The Double Metaphone algorithm by Lawrence Philips allows a word to be
broken down into its phonemes.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Feb 25 2016 oden <oden> 1.0.1-1.mga6
+ Revision: 978981
- 1.0.1

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-10.mga6
+ Revision: 958358
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 740124
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-8.mga5
+ Revision: 687117
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.0.0-7.mga5
+ Revision: 616546
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.0.0-6.mga4
+ Revision: 567646
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-5.mga4
+ Revision: 527799
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.0.0-4.mga4
+ Revision: 442629
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.0.0-3.mga3
+ Revision: 393258
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 375734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1.0.0-1.mga3
+ Revision: 275629
- upgrade to 1.0.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.0-19.mga2
+ Revision: 223879
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.2.0-18.mga2
+ Revision: 185147
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.2.0-17.mga1
+ Revision: 47811
- removed buildroot definition from .spec
- imported package php-doublemetaphone

